#ifndef _kwil_serialize_H
#define _kwil_serialize_H

#include "kwil_def.h"
#include <stdio.h>

extern int kwil_struct_generate_json_length(struct kwil_struct_t* self, FILE* file, const char* type_name);
extern int kwil_struct_generate_to_json(struct kwil_struct_t* self, FILE* file, const char* type_name);

extern int kwil_field_generate_to_json(struct kwil_field_t* self, FILE* file);


extern int kwil_enum_generate_json_length(struct kwil_enum_t* self, FILE* file, const char* type_name);
extern int kwil_enum_generate_to_json(struct kwil_enum_t* self, FILE* file, const char* type_name);

#endif // !_kwil_serialize_H
